for file in `ls $1` ; do 
    filename=`basename $file .h`
    uppercase=`echo $filename | tr '[a-z]' '[A-Z]'`
    echo "file $file filename $filename uppercase $uppercase"
    echo "#ifndef _${uppercase}_H_" > tmp    
    echo "#define _${uppercase}_H_" >> tmp
    echo >> tmp
    cat $file >> tmp
    echo >> tmp
    echo "#endif // _${uppercase}_H_" >> tmp
    cp tmp $file
done
